Contributing Guide
==================

Contributions are welcome! If you would like to help out, here are some suggestions for how to get involved.

## Get involved
[Watch][watchers] this repository to get notifications about all conversations. GitHub issues and pull requests are the authoritative
source of truth for design reviews, release schedules, and bug fixes.

## You don't have to contribute code

There are more ways to help that don't involve writing code.
* Respond to new issues. Users often open an issue to ask a question. You are welcome to offer your answer on the thread.
* :+1: Up vote features that you think are important.
* Look through issues labeled [closed-stale][closed-stale] to see if there are feature requests worth reviving.
* Review pull requests.

## Contributing to the documentation

If you are contributing to the documentation, you can build and preview the docs by executing `./docs/generate.ps1`. The `/docs` folder contains the source which **DocFX** uses generates the documentation.
The results of this are saved to the `gh-pages` branch of the repository.

Run `./docs/generate.ps1 -Serve` to build the docs and serve them on <http://localhost:8080>.

## Contributing code

* Open issues labeled ["help wanted"][help-wanted] are issues that I think are worth doing, but no one has volunteered to do the work yet.
  Make a comment on issues you want assigned to yourself.
* Pull requests are more likely to be accepted if I have first agreed to accept a feature or bug fix. Open an issue first if you aren't sure.

## Questions?

Open a GitHub issue if you'd like to help and don't know where to begin.

[watchers]: https://github.com/natemcmaster/CommandLineUtils/watchers
[closed-stale]: https://github.com/natemcmaster/CommandLineUtils/labels/closed-stale
[help-wanted]: https://github.com/natemcmaster/CommandLineUtils/labels/help%20wanted
